Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.pool
Class CallableStatement

    java.lang.Object
      |
      +--weblogic.jdbc.pool.Statement
            |
            +--weblogic.jdbc.pool.PreparedStatement
                  |
                  +--weblogic.jdbc.pool.CallableStatement

public final class CallableStatement
extends PreparedStatement
implements java.sql.CallableStatement, weblogic.jdbc.common.OracleCallableStatement, weblogic.jdbc.vendor.oracle.OracleCallableStatement

Fields inherited from class weblogic.jdbc.pool.Statement
`cc, conn, key, sqlParamLoggingEnabled, sqlParamLogMaxLength, sqlProfilingEnabled, stmt, stmtProfile`

Constructor Summary
`CallableStatement(java.sql.CallableStatement jstmt, weblogic.jdbc.common.internal.ConnectionEnv aCc, java.lang.Long aKey, Connection aConn)`

Method Summary
`boolean` | `execute(java.lang.String a, int b)`
`boolean` | `execute(java.lang.String a, int[] b)`
`boolean` | `execute(java.lang.String a, java.lang.String[] b)`
`int` | `executeUpdate(java.lang.String a, int b)`
`int` | `executeUpdate(java.lang.String a, int[] b)`
`int` | `executeUpdate(java.lang.String a, java.lang.String[] b)`
`java.sql.Array` | `getArray(int i)`
`oracle.sql.ARRAY` | `getARRAY(int i)`
`java.sql.Array` | `getArray(java.lang.String a)`
`java.io.InputStream` | `getAsciiStream(int i)`
`oracle.sql.BFILE` | `getBFILE(int i)`
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex)`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String a)`
`java.io.InputStream` | `getBinaryStream(int i)`
`java.sql.Blob` | `getBlob(int i)`
`oracle.sql.BLOB` | `getBLOB(int i)`
`java.sql.Blob` | `getBlob(java.lang.String a)`
`boolean` | `getBoolean(java.lang.String a)`
`byte` | `getByte(java.lang.String a)`
`byte[]` | `getBytes(java.lang.String a)`
`oracle.sql.CHAR` | `getCHAR(int i)`
`java.sql.Clob` | `getClob(int i)`
`oracle.sql.CLOB` | `getCLOB(int i)`
`java.sql.Clob` | `getClob(java.lang.String a)`
`java.sql.ResultSet` | `getCursor(int i)`
`java.lang.Object` | `getCustomDatum(int i, oracle.sql.CustomDatumFactory f)`
`oracle.sql.DATE` | `getDATE(int i)`
`java.sql.Date` | `getDate(int parameterIndex, java.util.Calendar cal)`
`java.sql.Date` | `getDate(java.lang.String a)`
`java.sql.Date` | `getDate(java.lang.String a, java.util.Calendar b)`
`double` | `getDouble(java.lang.String a)`
`float` | `getFloat(java.lang.String a)`
`java.sql.ResultSet` | `getGeneratedKeys()`
`int` | `getInt(java.lang.String a)`
`long` | `getLong(java.lang.String a)`
`boolean` | `getMoreResults(int a)`
`oracle.sql.NUMBER` | `getNUMBER(int i)`
`java.lang.Object` | `getObject(int i, java.util.Map map)`
`java.lang.Object` | `getObject(java.lang.String a)`
`java.lang.Object` | `getObject(java.lang.String a, java.util.Map b)`
`oracle.sql.Datum` | `getOracleObject(int i)`
`oracle.sql.Datum[]` | `getOraclePlsqlIndexTable(int i)`
`weblogic.jdbc.pool.ParameterMetaData` | `getParameterMetaData()`
`java.lang.Object` | `getPlsqlIndexTable(int i)`
`java.lang.Object` | `getPlsqlIndexTable(int i, java.lang.Class c)`
`oracle.sql.RAW` | `getRAW(int i)`
`java.sql.Ref` | `getRef(int i)`
`oracle.sql.REF` | `getREF(int i)`
`java.sql.Ref` | `getRef(java.lang.String a)`
`java.sql.ResultSet` | `getResultSet(int parameterIndex)`
`int` | `getResultSetHoldability()`
`oracle.sql.ROWID` | `getROWID(int i)`
`short` | `getShort(java.lang.String a)`
`java.lang.String` | `getString(java.lang.String a)`
`oracle.sql.STRUCT` | `getSTRUCT(int i)`
`java.sql.Time` | `getTime(int parameterIndex, java.util.Calendar cal)`
`java.sql.Time` | `getTime(java.lang.String a)`
`java.sql.Time` | `getTime(java.lang.String a, java.util.Calendar b)`
`java.sql.Timestamp` | `getTimestamp(int parameterIndex, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String a)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String a, java.util.Calendar b)`
`java.io.InputStream` | `getUnicodeStream(int i)`
`java.net.URL` | `getURL(int a)`
`java.net.URL` | `getURL(java.lang.String a)`
`void` | `registerIndexTableOutParameter(int i, int j, int k, int l)`
`void` | `registerOutParameter(int i, int j, int k, int l)`
`void` | `registerOutParameter(int i, int sqlType, java.lang.String typeName)`
`void` | `registerOutParameter(java.lang.String a, int b)`
`void` | `registerOutParameter(java.lang.String a, int b, int c)`
`void` | `registerOutParameter(java.lang.String a, int b, java.lang.String c)`
`int` | `sendBatch()`
`void` | `setAsciiStream(java.lang.String a, java.io.InputStream b, int c)`
`void` | `setBigDecimal(java.lang.String a, java.math.BigDecimal b)`
`void` | `setBinaryStream(java.lang.String a, java.io.InputStream b, int c)`
`void` | `setBoolean(java.lang.String a, boolean b)`
`void` | `setByte(java.lang.String a, byte b)`
`void` | `setBytes(java.lang.String a, byte[] b)`
`void` | `setCharacterStream(java.lang.String a, java.io.Reader b, int c)`
`void` | `setDate(java.lang.String a, java.sql.Date b)`
`void` | `setDate(java.lang.String a, java.sql.Date b, java.util.Calendar c)`
`void` | `setDouble(java.lang.String a, double b)`
`void` | `setExecuteBatch(int i)`
`void` | `setFloat(java.lang.String a, float b)`
`void` | `setInt(java.lang.String a, int b)`
`void` | `setLong(java.lang.String a, long b)`
`void` | `setNull(int i, int sqlType, java.lang.String typeName)`
`void` | `setNull(java.lang.String a, int b)`
`void` | `setNull(java.lang.String a, int b, java.lang.String c)`
`void` | `setObject(java.lang.String a, java.lang.Object b)`
`void` | `setObject(java.lang.String a, java.lang.Object b, int c)`
`void` | `setObject(java.lang.String a, java.lang.Object b, int c, int d)`
`void` | `setShort(java.lang.String a, short b)`
`void` | `setString(java.lang.String a, java.lang.String b)`
`void` | `setTime(java.lang.String a, java.sql.Time b)`
`void` | `setTime(java.lang.String a, java.sql.Time b, java.util.Calendar c)`
`void` | `setTimestamp(java.lang.String a, java.sql.Timestamp c)`
`void` | `setTimestamp(java.lang.String a, java.sql.Timestamp b, java.util.Calendar c)`
`void` | `setURL(int a, java.net.URL b)`
`void` | `setURL(java.lang.String a, java.net.URL b)`

Methods inherited from class weblogic.jdbc.pool.PreparedStatement
`addBatch, defineParameterType, execute, executeQuery, executeUpdate, getExecuteBatch, getMetaData, setArray, setARRAY, setBfile, setBFILE, setBlob, setBLOB, setCHAR, setCharacterStream, setCheckBindTypes, setClob, setCLOB, setCursor, setCustomDatum, setDATE, setDate, setDisableStmtCaching, setFixedCHAR, setInternalBytes, setNUMBER, setOracleObject, setPlsqlIndexTable, setRAW, setRef, setREF, setRefType, setROWID, setSTRUCT, setTime, setTimestamp`

Methods inherited from class weblogic.jdbc.pool.Statement
`addBatch, cancel, clearBatch, clearDefines, clearParameters, clearWarnings, close, closeWithKey, creationState, defineColumnType, defineColumnType, defineColumnType, describe, execute, executeBatch, executeQuery, executeUpdate, executeWriteText, executeWriteText, executeWriteText, executeWriteText, finalize, getAutoRefetch, getBigDecimal, getBinds, getBoolean, getByte, getBytes, getConnection, getDate, getDBDescription, getDouble, getFetchDirection, getFetchSize, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getOriginalSql, getQueryTimeout, getResultSet, getResultSetCache, getResultSetConcurrency, getResultSetType, getRevisedSql, getRowPrefetch, getShort, getSqlKind, getString, getTime, getTimestamp, getUpdateCount, getWarnings, initMonitoring, is_value_null, notify_close_rset, registerOutParameter, registerOutParameter, setAsciiStream, setAutoRefetch, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCursorName, setDate, setDouble, setEscapeProcessing, setFetchDirection, setFetchSize, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setObject, setObject, setObject, setQueryTimeout, setResultSetCache, setResultSetCache, setRowPrefetch, setShort, setString, setTime, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallableStatement

    public CallableStatement(java.sql.CallableStatement jstmt,
                             weblogic.jdbc.common.internal.ConnectionEnv aCc,
                             java.lang.Long aKey,
                             Connection aConn)

Method Detail

### getResultSet

    public java.sql.ResultSet getResultSet(int parameterIndex)
                                    throws java.sql.SQLException

  Specified by:
    getResultSet in interface weblogic.jdbc.common.OracleCallableStatement

  Parameters:
    `parameterIndex` - int
  Returns:
    java.sql.ResultSet
  Throws:
    java.sql.SQLException - if there is an error

### setNull

    public void setNull(int i,
                        int sqlType,
                        java.lang.String typeName)
                 throws java.sql.SQLException

  Overrides:
    setNull in class PreparedStatement

### registerOutParameter

    public void registerOutParameter(int i,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex)
                                       throws java.sql.SQLException

  Specified by:
    getBigDecimal in interface java.sql.CallableStatement

### getObject

    public java.lang.Object getObject(int i,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Specified by:
    getObject in interface java.sql.CallableStatement

### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

  Specified by:
    getRef in interface java.sql.CallableStatement

### getBlob

    public java.sql.Blob getBlob(int i)
                          throws java.sql.SQLException

  Specified by:
    getBlob in interface java.sql.CallableStatement

### getClob

    public java.sql.Clob getClob(int i)
                          throws java.sql.SQLException

  Specified by:
    getClob in interface java.sql.CallableStatement

### getArray

    public java.sql.Array getArray(int i)
                            throws java.sql.SQLException

  Specified by:
    getArray in interface java.sql.CallableStatement

### getDate

    public java.sql.Date getDate(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getDate in interface java.sql.CallableStatement

### getTime

    public java.sql.Time getTime(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getTime in interface java.sql.CallableStatement

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    getTimestamp in interface java.sql.CallableStatement

### sendBatch

    public int sendBatch()
                  throws java.sql.SQLException

  Overrides:
    sendBatch in class Statement

### registerIndexTableOutParameter

    public void registerIndexTableOutParameter(int i,
                                               int j,
                                               int k,
                                               int l)
                                        throws java.sql.SQLException

  Specified by:
    registerIndexTableOutParameter in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### registerOutParameter

    public void registerOutParameter(int i,
                                     int j,
                                     int k,
                                     int l)
                              throws java.sql.SQLException

  Specified by:
    registerOutParameter in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### setExecuteBatch

    public void setExecuteBatch(int i)
                         throws java.sql.SQLException

  Overrides:
    setExecuteBatch in class PreparedStatement

### getCursor

    public java.sql.ResultSet getCursor(int i)
                                 throws java.sql.SQLException

  Specified by:
    getCursor in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getAsciiStream

    public java.io.InputStream getAsciiStream(int i)
                                       throws java.sql.SQLException

  Specified by:
    getAsciiStream in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getBinaryStream

    public java.io.InputStream getBinaryStream(int i)
                                        throws java.sql.SQLException

  Specified by:
    getBinaryStream in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int i)
                                         throws java.sql.SQLException

  Specified by:
    getUnicodeStream in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getCustomDatum

    public java.lang.Object getCustomDatum(int i,
                                           oracle.sql.CustomDatumFactory f)
                                    throws java.sql.SQLException

  Specified by:
    getCustomDatum in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getPlsqlIndexTable

    public java.lang.Object getPlsqlIndexTable(int i,
                                               java.lang.Class c)
                                        throws java.sql.SQLException

  Specified by:
    getPlsqlIndexTable in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getPlsqlIndexTable

    public java.lang.Object getPlsqlIndexTable(int i)
                                        throws java.sql.SQLException

  Specified by:
    getPlsqlIndexTable in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getARRAY

    public oracle.sql.ARRAY getARRAY(int i)
                              throws java.sql.SQLException

  Specified by:
    getARRAY in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getBFILE

    public oracle.sql.BFILE getBFILE(int i)
                              throws java.sql.SQLException

  Specified by:
    getBFILE in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getBLOB

    public oracle.sql.BLOB getBLOB(int i)
                            throws java.sql.SQLException

  Specified by:
    getBLOB in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getCHAR

    public oracle.sql.CHAR getCHAR(int i)
                            throws java.sql.SQLException

  Specified by:
    getCHAR in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getCLOB

    public oracle.sql.CLOB getCLOB(int i)
                            throws java.sql.SQLException

  Specified by:
    getCLOB in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getDATE

    public oracle.sql.DATE getDATE(int i)
                            throws java.sql.SQLException

  Specified by:
    getDATE in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getOracleObject

    public oracle.sql.Datum getOracleObject(int i)
                                     throws java.sql.SQLException

  Specified by:
    getOracleObject in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getOraclePlsqlIndexTable

    public oracle.sql.Datum[] getOraclePlsqlIndexTable(int i)
                                                throws java.sql.SQLException

  Specified by:
    getOraclePlsqlIndexTable in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getNUMBER

    public oracle.sql.NUMBER getNUMBER(int i)
                                throws java.sql.SQLException

  Specified by:
    getNUMBER in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getRAW

    public oracle.sql.RAW getRAW(int i)
                          throws java.sql.SQLException

  Specified by:
    getRAW in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getREF

    public oracle.sql.REF getREF(int i)
                          throws java.sql.SQLException

  Specified by:
    getREF in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getROWID

    public oracle.sql.ROWID getROWID(int i)
                              throws java.sql.SQLException

  Specified by:
    getROWID in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### getSTRUCT

    public oracle.sql.STRUCT getSTRUCT(int i)
                                throws java.sql.SQLException

  Specified by:
    getSTRUCT in interface weblogic.jdbc.vendor.oracle.OracleCallableStatement

### execute

    public boolean execute(java.lang.String a,
                           int b)
                    throws java.sql.SQLException

  Overrides:
    execute in class PreparedStatement

### execute

    public boolean execute(java.lang.String a,
                           int[] b)
                    throws java.sql.SQLException

  Overrides:
    execute in class PreparedStatement

### execute

    public boolean execute(java.lang.String a,
                           java.lang.String[] b)
                    throws java.sql.SQLException

  Overrides:
    execute in class PreparedStatement

### getBoolean

    public boolean getBoolean(java.lang.String a)
                       throws java.sql.SQLException

  Overrides:
    getBoolean in class Statement

### getMoreResults

    public boolean getMoreResults(int a)
                           throws java.sql.SQLException

  Overrides:
    getMoreResults in class PreparedStatement

### getByte

    public byte getByte(java.lang.String a)
                 throws java.sql.SQLException

  Overrides:
    getByte in class Statement

### getBytes

    public byte[] getBytes(java.lang.String a)
                    throws java.sql.SQLException

  Overrides:
    getBytes in class Statement

### getDouble

    public double getDouble(java.lang.String a)
                     throws java.sql.SQLException

  Overrides:
    getDouble in class Statement

### getFloat

    public float getFloat(java.lang.String a)
                   throws java.sql.SQLException

  Overrides:
    getFloat in class Statement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int b)
                      throws java.sql.SQLException

  Overrides:
    executeUpdate in class PreparedStatement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int[] b)
                      throws java.sql.SQLException

  Overrides:
    executeUpdate in class PreparedStatement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             java.lang.String[] b)
                      throws java.sql.SQLException

  Overrides:
    executeUpdate in class PreparedStatement

### getInt

    public int getInt(java.lang.String a)
               throws java.sql.SQLException

  Overrides:
    getInt in class Statement

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws java.sql.SQLException

  Overrides:
    getResultSetHoldability in class PreparedStatement

### getObject

    public java.lang.Object getObject(java.lang.String a)
                               throws java.sql.SQLException

  Overrides:
    getObject in class Statement

### getObject

    public java.lang.Object getObject(java.lang.String a,
                                      java.util.Map b)
                               throws java.sql.SQLException

  Overrides:
    getObject in class Statement

### getString

    public java.lang.String getString(java.lang.String a)
                               throws java.sql.SQLException

  Overrides:
    getString in class Statement

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String a)
                                       throws java.sql.SQLException

  Overrides:
    getBigDecimal in class Statement

### getURL

    public java.net.URL getURL(int a)
                        throws java.sql.SQLException

  Overrides:
    getURL in class Statement

### getURL

    public java.net.URL getURL(java.lang.String a)
                        throws java.sql.SQLException

  Overrides:
    getURL in class Statement

### getArray

    public java.sql.Array getArray(java.lang.String a)
                            throws java.sql.SQLException

  Overrides:
    getArray in class Statement

### getBlob

    public java.sql.Blob getBlob(java.lang.String a)
                          throws java.sql.SQLException

  Overrides:
    getBlob in class Statement

### getClob

    public java.sql.Clob getClob(java.lang.String a)
                          throws java.sql.SQLException

  Overrides:
    getClob in class Statement

### getDate

    public java.sql.Date getDate(java.lang.String a)
                          throws java.sql.SQLException

  Overrides:
    getDate in class Statement

### getDate

    public java.sql.Date getDate(java.lang.String a,
                                 java.util.Calendar b)
                          throws java.sql.SQLException

  Overrides:
    getDate in class Statement

### getParameterMetaData

    public weblogic.jdbc.pool.ParameterMetaData getParameterMetaData()
                                                              throws java.sql.SQLException

  Overrides:
    getParameterMetaData in class PreparedStatement

### getRef

    public java.sql.Ref getRef(java.lang.String a)
                        throws java.sql.SQLException

  Overrides:
    getRef in class Statement

### getGeneratedKeys

    public java.sql.ResultSet getGeneratedKeys()
                                        throws java.sql.SQLException

  Overrides:
    getGeneratedKeys in class PreparedStatement

### getTime

    public java.sql.Time getTime(java.lang.String a)
                          throws java.sql.SQLException

  Overrides:
    getTime in class Statement

### getTime

    public java.sql.Time getTime(java.lang.String a,
                                 java.util.Calendar b)
                          throws java.sql.SQLException

  Overrides:
    getTime in class Statement

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String a)
                                    throws java.sql.SQLException

  Overrides:
    getTimestamp in class Statement

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String a,
                                           java.util.Calendar b)
                                    throws java.sql.SQLException

  Overrides:
    getTimestamp in class Statement

### getLong

    public long getLong(java.lang.String a)
                 throws java.sql.SQLException

  Overrides:
    getLong in class Statement

### getShort

    public short getShort(java.lang.String a)
                   throws java.sql.SQLException

  Overrides:
    getShort in class Statement

### registerOutParameter

    public void registerOutParameter(java.lang.String a,
                                     int b)
                              throws java.sql.SQLException

  Overrides:
    registerOutParameter in class Statement

### registerOutParameter

    public void registerOutParameter(java.lang.String a,
                                     int b,
                                     int c)
                              throws java.sql.SQLException

  Overrides:
    registerOutParameter in class Statement

### registerOutParameter

    public void registerOutParameter(java.lang.String a,
                                     int b,
                                     java.lang.String c)
                              throws java.sql.SQLException

  Overrides:
    registerOutParameter in class Statement

### setAsciiStream

    public void setAsciiStream(java.lang.String a,
                               java.io.InputStream b,
                               int c)
                        throws java.sql.SQLException

  Overrides:
    setAsciiStream in class Statement

### setBigDecimal

    public void setBigDecimal(java.lang.String a,
                              java.math.BigDecimal b)
                       throws java.sql.SQLException

  Overrides:
    setBigDecimal in class Statement

### setBinaryStream

    public void setBinaryStream(java.lang.String a,
                                java.io.InputStream b,
                                int c)
                         throws java.sql.SQLException

  Overrides:
    setBinaryStream in class Statement

### setBoolean

    public void setBoolean(java.lang.String a,
                           boolean b)
                    throws java.sql.SQLException

  Overrides:
    setBoolean in class Statement

### setByte

    public void setByte(java.lang.String a,
                        byte b)
                 throws java.sql.SQLException

  Overrides:
    setByte in class Statement

### setBytes

    public void setBytes(java.lang.String a,
                         byte[] b)
                  throws java.sql.SQLException

  Overrides:
    setBytes in class Statement

### setCharacterStream

    public void setCharacterStream(java.lang.String a,
                                   java.io.Reader b,
                                   int c)
                            throws java.sql.SQLException

  Overrides:
    setCharacterStream in class Statement

### setDate

    public void setDate(java.lang.String a,
                        java.sql.Date b)
                 throws java.sql.SQLException

  Overrides:
    setDate in class Statement

### setDate

    public void setDate(java.lang.String a,
                        java.sql.Date b,
                        java.util.Calendar c)
                 throws java.sql.SQLException

  Overrides:
    setDate in class Statement

### setDouble

    public void setDouble(java.lang.String a,
                          double b)
                   throws java.sql.SQLException

  Overrides:
    setDouble in class Statement

### setFloat

    public void setFloat(java.lang.String a,
                         float b)
                  throws java.sql.SQLException

  Overrides:
    setFloat in class Statement

### setInt

    public void setInt(java.lang.String a,
                       int b)
                throws java.sql.SQLException

  Overrides:
    setInt in class Statement

### setLong

    public void setLong(java.lang.String a,
                        long b)
                 throws java.sql.SQLException

  Overrides:
    setLong in class Statement

### setNull

    public void setNull(java.lang.String a,
                        int b)
                 throws java.sql.SQLException

  Overrides:
    setNull in class Statement

### setObject

    public void setObject(java.lang.String a,
                          java.lang.Object b)
                   throws java.sql.SQLException

  Overrides:
    setObject in class Statement

### setObject

    public void setObject(java.lang.String a,
                          java.lang.Object b,
                          int c)
                   throws java.sql.SQLException

  Overrides:
    setObject in class Statement

### setObject

    public void setObject(java.lang.String a,
                          java.lang.Object b,
                          int c,
                          int d)
                   throws java.sql.SQLException

  Overrides:
    setObject in class Statement

### setShort

    public void setShort(java.lang.String a,
                         short b)
                  throws java.sql.SQLException

  Overrides:
    setShort in class Statement

### setString

    public void setString(java.lang.String a,
                          java.lang.String b)
                   throws java.sql.SQLException

  Overrides:
    setString in class Statement

### setTime

    public void setTime(java.lang.String a,
                        java.sql.Time b)
                 throws java.sql.SQLException

  Overrides:
    setTime in class Statement

### setTime

    public void setTime(java.lang.String a,
                        java.sql.Time b,
                        java.util.Calendar c)
                 throws java.sql.SQLException

  Overrides:
    setTime in class Statement

### setTimestamp

    public void setTimestamp(java.lang.String a,
                             java.sql.Timestamp c)
                      throws java.sql.SQLException

  Overrides:
    setTimestamp in class Statement

### setTimestamp

    public void setTimestamp(java.lang.String a,
                             java.sql.Timestamp b,
                             java.util.Calendar c)
                      throws java.sql.SQLException

  Overrides:
    setTimestamp in class Statement

### setURL

    public void setURL(int a,
                       java.net.URL b)
                throws java.sql.SQLException

  Overrides:
    setURL in class PreparedStatement

### setURL

    public void setURL(java.lang.String a,
                       java.net.URL b)
                throws java.sql.SQLException

  Overrides:
    setURL in class Statement

### setNull

    public void setNull(java.lang.String a,
                        int b,
                        java.lang.String c)
                 throws java.sql.SQLException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference